summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/tests.sh b/tests.sh
index ecaf837..084e8ac 100755
--- a/tests.sh
+++ b/tests.sh
@@ -609,15 +609,16 @@ function test_0093() {
}
function test_0094() {
- [ "$GNU" ] || return 0
- # -ok should close stdin for the executed command
- yes | $BFS basic -ok cat ';' 2>/dev/null
+ [ "$BSD" ] || return 0
+ # -ok should *not* close stdin
+ # See https://savannah.gnu.org/bugs/?24561
+ yes | bfs_diff basic -ok bash -c "printf '%s? ' {} && head -n1" \; 2>/dev/null
}
function test_0095() {
- [ "$GNU" ] || return 0
- # -okdir should close stdin for the executed command
- yes | $BFS basic -okdir cat ';' 2>/dev/null
+ [ "$BSD" ] || return 0
+ # -okdir should *not* close stdin
+ yes | bfs_diff basic -okdir bash -c "printf '%s? ' {} && head -n1" \; 2>/dev/null
}
function test_0096() {